
# DO NOT EDIT THIS FILE -- AUTOGENERATED BY PANTS
# Target: src/python/arcor2_fit_demo:arcor2_fit_demo_dist

from setuptools import setup

setup(**{
    'author': 'Robo@FIT',
    'author_email': 'imaterna@fit.vut.cz',
    'classifiers': [
        'Development Status :: 3 - Alpha',
        'Intended Audience :: Developers',
        'Topic :: Software Development :: Build Tools',
        'License :: OSI Approved :: GNU Lesser General Public License v3 (LGPLv3)',
        'Programming Language :: Python :: 3.10',
        'Natural Language :: English',
        'Topic :: Scientific/Engineering',
    ],
    'description': 'ARCOR2 FIT Demo',
    'entry_points': {
        'console_scripts': [
            'arcor2_fit_demo_upload_objects = arcor2_fit_demo.scripts.upload_objects:main',
        ],
    },
    'install_requires': (
        'Pillow~=9.4.0',
        'arcor2~=1.0.0',
    ),
    'license': 'LGPL',
    'long_description': """# arcor2_fit_demo
# Changelog

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),

## [1.0.0] - 2023-02-14

### Changed

- Marked as a stable version.

## [0.11.0] - 2022-10-28

### Changed

- Switched to Python 3.10, updated dependencies.

## [0.10.1] - 2022-09-15

### Fixed

- Default url was missing for `ConveyorBelt`.

## [0.10.0] - 2022-09-02

### Changed

- No need to enter the Dobot model/port - both are now set when starting the service.

## [0.9.1] - 2022-08-29

### Changed

- Fixed upload of URDF files (`arcor2`).


## [0.9.0] - 2022-02-17

### Changed

- `pick` and `place` actions now have `safe_approach`, `safe_pick`/`safe_place` and `velocity` parameters.  

## [0.8.0] - 2022-01-25

### Added

- Support for Dobot conveyor belt.
  - There is a new Object Type `ConveyorBelt`.
  - The `url` in settings should point to the Dobot service (same url as for `DobotMagician`).

## [0.7.0] - 2021-10-25

### Changed

- Changes regarding updated signatures of `Robot` methods (`__init__`, `move_to_pose`, `robot_joints`).
- Kinect mesh fixed (some empty geometries removed).
- Dobot Magician materials removed from URDF.

## [0.6.1] - 2021-07-29

### Changed

- Default values for url fields of object parameters.
- Added docstrings to some actions.
- Added mesh for KinectAzure.

## [0.6.0] - 2021-05-21

### Changed

- Object types now use a mixin to share the common code.

### Fixed

- State controller paths are now consistent.

## [0.5.2] - 2021-03-30

### Fixed
- Dobot M1 does not have IK/FK so far

## [0.5.1] - 2021-03-15

### Fixed
- Signatures of some robot methods.
- Added temporal workaround to `AbstractDobot/pick`.

## [0.5.0] - 2021-03-03

### Changed
- `pick`/`place` actions.
- Hand teaching mode.
- During initialization, stop the Dobot service if already started.
- Raise exception on `safe=True` (not supported).

## [0.4.0] - 2021-02-08

### Changed
- ObjectTypes are now just proxies to the Dobot service.
- Added the mandatory `an` parameter to all actions.

### Fixed
- Dobot M1 model (rotation of parts).

## [0.3.0] - 2020-12-14

### Changed
- Various fixes regarding `DobotMagician` and `DobotM1`.
- `KinectAzure` ObjectType was added.

## [0.2.1] - 2020-10-19

### Changed
- ARCOR2 dependency updated

## [0.2.0] - 2020-09-24
### Changed
- Package is now part of the arcor2 monorepo.
- Support for Dobot M1.
- Improved handling of exceptions.""",
    'long_description_content_type': 'text/markdown',
    'name': 'arcor2_fit_demo',
    'namespace_packages': (
    ),
    'package_data': {
        'arcor2_fit_demo': (
            'VERSION',
            'data/conveyor_belt.fbx',
            'data/dobot-m1/dobot_m1.urdf',
            'data/dobot-m1/dobot_m1_description/meshes/dobot_m1_axis-2.dae',
            'data/dobot-m1/dobot_m1_description/meshes/dobot_m1_axis-3.dae',
            'data/dobot-m1/dobot_m1_description/meshes/dobot_m1_axis-4.dae',
            'data/dobot-m1/dobot_m1_description/meshes/dobot_m1_base.dae',
            'data/dobot-m1/dobot_m1_description/meshes/dobot_m1_stand.dae',
            'data/dobot-m1/dobot_m1_description/meshes/dobot_m1_z-axis.dae',
            'data/dobot-magician/dobot/model/meshes/dae/magicianBase.dae',
            'data/dobot-magician/dobot/model/meshes/dae/magicianGripper.dae',
            'data/dobot-magician/dobot/model/meshes/dae/magicianLink1.dae',
            'data/dobot-magician/dobot/model/meshes/dae/magicianLink2.dae',
            'data/dobot-magician/dobot/model/meshes/dae/magicianLink3.dae',
            'data/dobot-magician/dobot/model/meshes/dae/magicianLink4.dae',
            'data/dobot-magician/dobot/model/meshes/dae/magicianSuctionCup.dae',
            'data/dobot-magician/dobot_magician.xml',
            'data/kinect_azure.dae',
            'py.typed',
        ),
    },
    'packages': (
        'arcor2_fit_demo',
        'arcor2_fit_demo.object_types',
        'arcor2_fit_demo.scripts',
    ),
    'python_requires': '==3.10.*',
    'version': '1.0.0',
})
